<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript beginer</title>
</head>

<body>
    <p id="paragraf">Stari tekst.</p>

</body>
<script>
    //ispis u konzolu
    console.log("Hello, World!");
    //deklaracija varijabli, konkateniranje
    let a = 5;
    let b = 10;
    console.log(a + b);
    //usporedba
    let broj = 15;
    if (broj > 10) {
        console.log("Broj je veći od 10.");
    } else {
        console.log("Broj je manji ili jednak 10.");
    }
    //funkcije

    function zbroji(a, b) {
        return a + b;
    }
    console.log(zbroji(5, 7));

    //rad s nizovima
    let brojevi = [1, 2, 3, 4, 5];
    for (let i = 0; i < brojevi.length; i++) {
        console.log(brojevi[i]);
    }

    //interakcija s DOM-om
    document.getElementById("paragraf").textContent = "Novi tekst.";
</script>

</html>